Bug 574619 - SELinux is preventing /usr/lib/chromium-browser/chromium-browser "read" access on cpuinfo_max_freq.
Summary: SELinux is preventing /usr/lib/chromium-browser/chromium-browser "read" acces...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:1c21d021469...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-18 00:01 UTC by Harish Pillay
Modified: 2010-03-30 02:11 UTC (History)
19 users (show)

Fixed In Version: selinux-policy-3.6.32-106.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 02:11:39 UTC
Type: ---


Attachments (Terms of Use)

Description Harish Pillay 2010-03-18 00:01:21 UTC
Summary:

SELinux is preventing /usr/lib/chromium-browser/chromium-browser "read" access
on cpuinfo_max_freq.

Detailed Description:

[chromium-browse has a permissive type (chrome_sandbox_t). This access was not
denied.]

SELinux denied access requested by chromium-browse. It is not expected that this
access is required by chromium-browse and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:sysfs_t:s0
Target Objects                cpuinfo_max_freq [ file ]
Source                        chromium-browse
Source Path                   /usr/lib/chromium-browser/chromium-browser
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           chromium-5.0.355.0-0.1.20100315svn41615.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-99.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.9-70.fc12.i686 #1
                              SMP Wed Mar 3 05:14:32 UTC 2010 i686 i686
Alert Count                   6
First Seen                    Thu 18 Mar 2010 07:58:35 AM SGT
Last Seen                     Thu 18 Mar 2010 08:00:54 AM SGT
Local ID                      a989958e-01a7-4bfe-a357-4bb78750c6b2
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1268870454.543:27): avc:  denied  { read } for  pid=2696 comm="chromium-browse" name="cpuinfo_max_freq" dev=sysfs ino=11940 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysfs_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1268870454.543:27): avc:  denied  { open } for  pid=2696 comm="chromium-browse" name="cpuinfo_max_freq" dev=sysfs ino=11940 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysfs_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1268870454.543:27): arch=40000003 syscall=5 per=400000 success=yes exit=4 a0=5bbdd8 a1=8000 a2=0 a3=0 items=0 ppid=0 pid=2696 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="chromium-browse" exe="/usr/lib/chromium-browser/chromium-browser" subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,chromium-browse,chrome_sandbox_t,sysfs_t,file,read
audit2allow suggests:

#============= chrome_sandbox_t ==============
allow chrome_sandbox_t sysfs_t:file { read open };

Comment 1 Daniel Walsh 2010-03-18 13:58:26 UTC
dev_read_sysfs(chrome_sandbox_t)

Miroslav add.

Comment 2 Miroslav Grepl 2010-03-18 16:30:07 UTC
Fixed in selinux-policy-3.6.32-104.fc12

Comment 3 Fedora Update System 2010-03-23 18:03:20 UTC
selinux-policy-3.6.32-106.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-106.fc12

Comment 4 Fedora Update System 2010-03-24 23:30:28 UTC
selinux-policy-3.6.32-106.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-106.fc12

Comment 5 Fedora Update System 2010-03-30 02:10:02 UTC
selinux-policy-3.6.32-106.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.